Skip to main content
GET
/
v2
/
annotation-queues
/
{annotation_queue_id}
Retrieve an annotation queue
curl --request GET \
  --url https://api.orq.ai/v2/annotation-queues/{annotation_queue_id} \
  --header 'Authorization: Bearer <token>'
{
  "_id": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "workspace_id": "<string>",
  "human_review_ids": [
    "<string>"
  ],
  "metadata": {
    "items_count": 123
  },
  "created_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "<string>",
  "created": "2026-03-19T13:03:29.125Z",
  "updated": "2026-03-19T13:03:29.127Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

annotation_queue_id
string
required

Response

200 - application/json

Dataset retrieved successfully. Returns the complete dataset object.

_id
string
required

The unique identifier of the annotation queue

display_name
string
required

The display name of the annotation queue

description
string
required

The description of the annotation queue

workspace_id
string
required

The unique identifier of the workspace it belongs to

human_review_ids
string[]
required

Legacy: manually selected human review IDs. Used only when project_id is not set

metadata
object
required
created_by_id
string<uuid>
required

The id of the user who created the resource

updated_by_id
string<uuid>
required

The id of the user who last updated the resource

project_id
string

The project ID. When set, human reviews are resolved from the project automatically

created
default:2026-03-19T13:03:29.125Z

The date and time the resource was created

updated
default:2026-03-19T13:03:29.127Z

The date and time the resource was last updated